Additional IPv6 blocks
All operations require authentication.
List attached Additional IPv6 blocksProduction
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6 \
-H "authorization: Bearer $OVH_TOKEN"[ "2001:41d0::/128"]
Get an attached Additional IPv6 blockProduction
Path parameters
Your IP v6 block
The internal name of your vrack
Response
Your IP v6 block
Mode in which gateway is configured
Where you want your block announced on the network
Example uses ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6} \
-H "authorization: Bearer $OVH_TOKEN"{ "ipv6": "2001:41d0::/128", "publicRoutingType": "string", "region": "string"}
Attach an Additional IPv6 blockProduction
Path parameters
The internal name of your vrack
Request body (required)
Your IP v6 block
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6 \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach an Additional IPv6 blockProduction
Path parameters
Your IP v6 block
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
List bridged IPv6 subrangesProduction
Path parameters
Your IP v6 block
The internal name of your vrack
Response
Example uses ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ bridgedSubrange \
-H "authorization: Bearer $OVH_TOKEN"[ "2001:41d0::/128"]
Get a bridged IPv6 subrangeProduction
Path parameters
subrange bridged into your vrack
Your IP v6 block
The internal name of your vrack
Response
subrange bridged into your vrack
Your gateway
Slaac status
disabledenabledExample uses bridgedSubrange = 2001:41d0::/128, ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ bridgedSubrange/ {bridgedSubrange} \
-H "authorization: Bearer $OVH_TOKEN"{ "bridgedSubrange": "2001:41d0::/128", "gateway": "2001:41d0:1:1994::1", "slaac": "disabled"}
Update the SLAAC statusProduction
Update the SLAAC status. Enables or disables SLAAC on the bridged subrange. Returns the task that performs it.
Path parameters
subrange bridged into your vrack
Your IP v6 block
The internal name of your vrack
Request body (required)
subrange bridged into your vrack
Your gateway
Slaac status
disabledenabledResponse
Task status
cancelleddoingdoneinittodoExample uses bridgedSubrange = 2001:41d0::/128, ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ bridgedSubrange/ {bridgedSubrange} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
List routed IPv6 subrangesProduction
Path parameters
Your IP v6 block
The internal name of your vrack
Response
Example uses ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ routedSubrange \
-H "authorization: Bearer $OVH_TOKEN"[ "2001:41d0::/128"]
Get a routed IPv6 subrangeProduction
Path parameters
Your IP v6 block
subrange routed into your vrack
The internal name of your vrack
Response
nexthop used as a gateway for your routed subrange
subrange routed into your vrack
Example uses ipv6 = 2001:41d0::/128, routedSubrange = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ routedSubrange/ {routedSubrange} \
-H "authorization: Bearer $OVH_TOKEN"{ "nexthop": "2001:41d0:1:1994::1", "routedSubrange": "2001:41d0::/128"}
Route an IPv6 subrangeProduction
Route an IPv6 subrange. Routes a subrange of the block to a next hop. The next hop must belong to a bridged subrange. Returns the task that performs it.
Path parameters
Your IP v6 block
The internal name of your vrack
Request body (required)
nexthop to configure for your routed subrange (must be part of bridged subrange)
subrange to route into your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses ipv6 = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ routedSubrange \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Unroute an IPv6 subrangeProduction
Path parameters
Your IP v6 block
subrange routed into your vrack
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses ipv6 = 2001:41d0::/128, routedSubrange = 2001:41d0::/128, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipv6/ {ipv6}/ routedSubrange/ {routedSubrange} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}